<template>
	<div class="h-full flex flex-col lg:flex-row">
		<side-nav v-if="!$route.meta['disableNavBar']"/>
		<div class="h-full p-4 flex flex-col flex-grow overflow-y-auto">
			<router-view/>
		</div>
	</div>
</template>

<script lang="ts">
import { defineComponent } from 'vue';
import { Action, useStore } from "./store";
import AppModal from "./components/AppModals.vue";
import SideNav from "./components/SideNav.vue";

export default defineComponent({
	name: "App",
	components: {
		AppModal,
		SideNav
	},
	setup() {
		const store = useStore();
		store.dispatch(Action.AuthLoad, undefined);
	}
});
</script>
